Create Appointment: EliseAI
https://api.propexo.com/crm/v1/appointments/eliseaiCreates an appointment in EliseAI. When prospect_id is provided, books an appointment for an existing prospect. Otherwise, creates a new prospect with an appointment.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the integration
The Propexo unique identifier for the community
The Propexo unique identifier for the prospect. When provided, books an appointment for an existing prospect. When omitted, creates a new prospect with an appointment.
The date when the appointment will occur
Show 2 variants
The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. This time should be specified in UTC
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)
The primary email address associated with the prospect
Primary phone number associated with the prospect
Possible values: Value must match regular expression ^\+?\d{1,50}$
The first name associated with the prospect
The last name associated with the prospect
The move-in date associated with the prospect
Show 2 variants
The minimum rent of the prospect
Possible values: >= 1
The maximum rent of the prospect
Possible values: >= 1
Notes associated with the event
Possible values: <= 1000 characters
The number of bedrooms associated with the prospect. Only the first value is sent to EliseAI. 0 represents a studio unit.
Possible values: >= 0 and <= 4
The type of appointment being scheduled.
Show 3 enum values
IN_PERSONSELF_GUIDEDLIVE_VIDEOThe amount of months for the lease term
Possible values: >= 1
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the community
The Propexo unique identifier for the prospect. When provided, books an appointment for an existing prospect. When omitted, creates a new prospect with an appointment.
Show 2 variants
The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. This time should be specified in UTC
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)
The primary email address associated with the prospect
Primary phone number associated with the prospect
Possible values: Value must match regular expression ^\+?\d{1,50}$
The first name associated with the prospect
The last name associated with the prospect
The move-in date associated with the prospect
Show 2 variants
The minimum rent of the prospect
Possible values: >= 1
The maximum rent of the prospect
Possible values: >= 1
Notes associated with the event
Possible values: <= 1000 characters
Possible values: >= 0 and <= 4
The type of appointment being scheduled.
Show 3 enum values
IN_PERSONSELF_GUIDEDLIVE_VIDEOThe amount of months for the lease term
Possible values: >= 1
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/crm/v1/appointments/eliseai \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"community_id": "string",
"prospect_id": "string",
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string",
"email_1": "string",
"phone_1": "string",
"first_name": "string",
"last_name": "string",
"move_in_date": "2024-07-29T15:51:28.071Z",
"rent_minimum_in_cents": 0,
"rent_maximum_in_cents": 0,
"notes": "string",
"desired_num_bedrooms": "Unknown Type: array,null",
"tour_type": "IN_PERSON",
"lease_term_in_months": 0
}
}